-- IBUF_IBUFDISABLE: Single-ended Input Buffer with Disable
--                   7 Series
-- Xilinx HDL Language Template, version 2023.2

IBUF_IBUFDISABLE_inst : IBUF_IBUFDISABLE
generic map (
   IBUF_LOW_PWR => "TRUE", -- Low power (TRUE) vs. performance (FALSE) setting for referenced I/O standards
   IOSTANDARD => "DEFAULT", -- Specify the input I/O standard
   USE_IBUFDISABLE => "TRUE") -- Set to "TRUE" to enable IBUFDISABLE feature
port map (
   O => O,     -- Buffer output
   I => I,     -- Buffer input (connect directly to top-level port)
   IBUFDISABLE => IBUFDISABLE -- Buffer disable input, low=disable
);

-- End of IBUF_IBUFDISABLE_inst instantiation
