-- BUFHCE: HROW Clock Buffer for a Single Clocking Region with Clock Enable
--         7 Series
-- Xilinx HDL Language Template, version 2023.2

BUFHCE_inst : BUFHCE
generic map (
   CE_TYPE => "SYNC", -- "SYNC" (glitchless switching) or "ASYNC" (immediate switch)
   INIT_OUT => 0      -- Initial output value (0-1)
)
port map (
   O => O,   -- 1-bit output: Clock output
   CE => CE, -- 1-bit input: Active high enable
   I => I    -- 1-bit input: Clock input
);

-- End of BUFHCE_inst instantiation
