// BUFMRCE: Multi-Region Clock Buffer with Clock Enable
//          7 Series
// Xilinx HDL Language Template, version 2023.2

BUFMRCE #(
   .CE_TYPE("SYNC"), // SYNC, ASYNC
   .INIT_OUT(0)      // Initial output and stopped polarity, (0-1)
)
BUFMRCE_inst (
   .O(O),   // 1-bit output: Clock output (connect to BUFIOs/BUFRs)
   .CE(CE), // 1-bit input: Active high buffer enable
   .I(I)    // 1-bit input: Clock input (Connect to IBUF)
);

// End of BUFMRCE_inst instantiation
